## cl-launch 3.008

=== debian/changelog ===
cl-launch (3.008-1) unstable; urgency=low

  * Always upgrade ASDF before use.
    Avoids horrible bugs due to ASDF being upgraded while being used.

 -- Francois-Rene Rideau <fare@tunes.org>  Wed, 13 Apr 2011 01:08:53 -0400

cl-launch (3.007-1) unstable; urgency=low

  * Support XCL (requires ASDF 2.014.2)
  * Fix $abcl -> $ABCL in ABCL support.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 31 Mar 2011 10:53:35 -0400

cl-launch (3.006-1) unstable; urgency=low

  * Remove some debugging output left by mistake.

 -- Francois-Rene Rideau <fare@tunes.org>  Sun, 20 Mar 2011 13:54:26 -0400

cl-launch (3.005-1) unstable; urgency=low

  * Fix print_lisp_setup, broken by recent ASDF2-related changes.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 04 Nov 2010 14:52:10 -0400

cl-launch (3.004-1) unstable; urgency=low

  * Fix support for ABCL at 0.22.0
  * Be ready for ASDF 2.010 as it requires absolute pathnames in source registry.
  * Avoid some warnings in allegro

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 21 Oct 2010 13:49:59 -0700

cl-launch (3.003-1) unstable; urgency=low

  * Don't try to load ASDF when not needed. When needed, follow XDG.
  * Also try to fix ECL.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 23 Sep 2010 14:10:39 -0400

cl-launch (3.002-1) unstable; urgency=low

  * Fix CLISP support broken by bad editing in 3.001.

 -- Francois-Rene Rideau <fare@tunes.org>  Fri, 17 Sep 2010 17:43:24 -0400

cl-launch (3.001-1) unstable; urgency=low

  * Add limited ABCL and SCL support.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 17 Aug 2010 14:40:59 -0400

cl-launch (3.000-1) unstable; urgency=low

  * Release cl-launch 3 to work with ASDF 2.

 -- Francois-Rene Rideau <fare@tunes.org>  Wed, 09 Jun 2010 16:30:15 -0400

cl-launch (2.907-1) unstable; urgency=low

  * eliminate a warning when compiling with ECL.
  * simplify the hash bang form.

 -- Francois-Rene Rideau <fare@tunes.org>  Wed, 05 May 2010 11:22:24 -0400

cl-launch (2.906-2) unstable; urgency=low

  * Update debian package information
  * Switch to dpkg-source 3.0 (quilt) format

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 29 Apr 2010 12:30:34 -0400

cl-launch (2.906-1) unstable; urgency=low

  * improve support for LispWorks and Allegro.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 29 Apr 2010 10:03:26 -0400

cl-launch (2.905-1) unstable; urgency=low

  * don't import find-system, use asdf:find-system.
  * shuffle code around to make ecl and gcl happy:
    ecl won't load asdf.lisp, only a compiled version, so oblige.
    gcl 2.6 happy w/o asdf.

 -- Francois-Rene Rideau <fare@tunes.org>  Wed, 28 Apr 2010 20:24:46 -0400

cl-launch (2.904-1) unstable; urgency=low

  * correctly hush cl_fragment in all cases -- YEAH!
  * require ASDF 1.702.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 15 Apr 2010 22:33:35 -0400

cl-launch (2.903-1) unstable; urgency=low

  * play better with recent XCVB by depending on ASDF 2.
  * better verbose treatment when loading from stream.
  * depend on ASDF 1.677.

 -- Francois-Rene Rideau <fare@tunes.org>  Wed, 14 Apr 2010 02:13:27 -0400

cl-launch (2.902-1) unstable; urgency=low

  * ASDF 2 tweak: have cl-launch.asd depend on asdf.asd to avoid asdf upgrade nightmare.

 -- Francois-Rene Rideau <fare@tunes.org>  Sat, 03 Apr 2010 00:24:55 -0400

cl-launch (2.901-1) unstable; urgency=low

  * ASDF 2 support: add --source-registry, deprecate --path and co.
  * Fix ASDF loading again (dolist has an implicit block nil).
  * Update tests.

 -- Francois-Rene Rideau <fare@tunes.org>  Fri, 19 Mar 2010 00:59:49 -0400

cl-launch (2.900-1) unstable; urgency=low

  * New CL-Launch, to be used with ASDF 2, and dropping support for ASDF 1.
    This preliminary version is called 2.900.
    TODO: add proper support for source-registry, clean things up, etc.
    When ASDF 2 is released, we should release cl-launch 3.000 with it.
    Maybe also take heed of Xach's http://www.xach.com/lisp/buildapp/

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 18 Mar 2010 22:47:42 -0400

cl-launch (2.36-1) unstable; urgency=low

  * Note that c-l-c's support for ECL is fixed in 7.0.
  * Recommend c-l-c 7.0 in the debian control.
  * disable output redirection with asdf2 (has its own system, AOT).
  * Reformat loops

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 04 Feb 2010 01:19:39 -0500

cl-launch (2.35-1) unstable; urgency=low

  * Avoid some potential warnings with *asdf-path*: don't refer to a special
    in the non-toplevel form where I'm defining it.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 17 Nov 2009 13:54:39 -0500

cl-launch (2.34-1) unstable; urgency=low

  * in exclude-from-cache, ignore empty strings as well as NILs

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 09 Nov 2009 22:34:28 -0500

cl-launch (2.33-1) unstable; urgency=low

  * Fixed ECL support. Passes full 234 tests with the latest 9.11.1 from CVS:
        cl-launch -l ecl -B tests

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 09 Nov 2009 09:46:41 -0500

cl-launch (2.32-1) unstable; urgency=low

  * better debugging for :load
  * TODO: fix ecl which has regressed since 0.x

 -- Francois-Rene Rideau <fare@tunes.org>  Sun, 08 Nov 2009 14:53:13 -0500

cl-launch (2.31-1) unstable; urgency=low

  * modify resume so that it's easier to start from an image
    that has cl-launch loaded but not configured.
  * passed tests with
         cl-launch -l clisp -B shell_tests
         cl-launch -l 'sbcl ccl ecl' -B tests

 -- Francois-Rene Rideau <fare@tunes.org>  Fri, 06 Nov 2009 11:21:34 -0500

cl-launch (2.30-1) unstable; urgency=low

  * use XCVB .403 enhanced :build-depends-on support for Lisp modules.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 20 Oct 2009 20:24:16 -0400

cl-launch (2.29-1) unstable; urgency=low

  * don't try to exclude root if it is disabled.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 20 Oct 2009 20:24:10 -0400

cl-launch (2.28-1) unstable; urgency=low

  * unbreak arguments for clisp


