=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Milan Zamazal <pdm@debian.org>, Peter Van Eynde <pvaneynd@debian.org>
 Build-Depends: debhelper (>= 7.2.8)
 Build-Depends-Indep: dh-lisp
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: cl-launch
 Architecture: all
