## cl-launch 3.011

=== Makefile ===
--- 
+++ 
@@ -5,10 +5,16 @@
 INSTALL_BIN ?= ${PREFIX}/bin
 INSTALL_SOURCE ?= ${PREFIX}/share/common-lisp/source/cl-launch
 INSTALL_SYSTEMS ?= ${PREFIX}/share/common-lisp/systems
-LISPS ?= sbcl clisp ccl ecl cmucl gclcvs lispworks allegro gcl
+LISPS ?= sbcl clisp ccl ecl cmucl gclcvs lispworks allegro gcl abcl scl
 
 # No user-serviceable part below
 CL_LAUNCH := ./cl-launch.sh
+
+all: source
+
+source:
+	@echo "Building Lisp source code for cl-launch in current directory"
+	@${CL_LAUNCH} --include ${PWD} -B install_path > /dev/null
 
 install: install_binary install_source install_system
 
@@ -44,13 +50,36 @@
 		--output ${INSTALL_BIN}/cl-launch -B install_bin > /dev/null
 
 clean:
+	-rm -f *.*fasl *.*fsl *.fas *.lib *.x86f *.amd64f *.o
 	-rm -f build.xcvb cl-launch cl-launch.asd launcher.lisp wrapper.sh
+	-rm -f clt.image clt-out.sh.orig clt-preimage.lisp clt-sys.lisp clt.log clt.preimage clt-preimage.sh clt-asd.asd clt-out.sh clt-preimage.fasl clt-src.lisp tests.log
 	-cd debian ; rm -f cl-launch.debhelper.log cl-launch.postinst.debhelper cl-launch.prerm.debhelper cl-launch.substvars files
-	-rm -rf debian/cl-launch
 
-debian-package:
-	git-buildpackage --git-debian-branch=master --git-upstream-branch=master --git-tag --git-retag
+mrproper: clean
+	-rm -rf debian/cl-launch .pc/ build-stamp debian/patches/ debian/debhelper.log # debian crap
+
+debian-package: mrproper
+	RELEASE="$$(git tag -l '3.0[0-9][0-9]' | tail -n 1)" ; \
+	git-buildpackage --git-debian-branch=master --git-upstream-branch=$$RELEASE --git-tag --git-retag
 
 # This fits my own system. YMMV. Try make install for a more traditional install
 reinstall:
 	make install_system PREFIX=$${HOME}/.local
+
+test:
+	./cl-launch.sh -l "${LISPS}" -B tests
+
+WRONGFUL_TAGS := RELEASE upstream
+# Delete wrongful tags from local repository
+fix-local-git-tags:
+	for i in ${WRONGFUL_TAGS} ; do git tag -d $$i ; done
+
+# Delete wrongful tags from remote repository
+fix-remote-git-tags:
+	for i in ${WRONGFUL_TAGS} ; do git push $${REMOTE:-origin} :refs/tags/$$i ; done
+
+push:
+	git status
+	git push --tags origin master
+	git fetch
+	git status
