## cl-launch 3.013

=== debian/changelog ===
cl-launch (3.013-1) unstable; urgency=low

  * Gratuitous upgrade to achieve a patchless debian package.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 29 Sep 2011 20:29:59 -0400

cl-launch (3.012-1) unstable; urgency=low

  * Simple optimization assuming recentish CMUCL.

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 26 Sep 2011 17:53:04 -0400
