=== debian/changelog ===
cl-launch (3.016-1) unstable; urgency=low

  * More fixes for ABCL, CLISP, ECL, GCL.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 18 Oct 2011 23:44:28 -0400

cl-launch (3.015-1) unstable; urgency=low

  * CLISP: don't (setf *source-file-types* nil custom:*compiled-file-types nil)
    anymore, because it prevents (require "linux") from working.
  * ASDF: it's best to always (asdf:load-system :asdf) as soon as we have ASDF2
    so refactor load-asdf accordingly.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 18 Oct 2011 19:29:03 -0400

cl-launch (3.014-1) unstable; urgency=low

  * XCL now has --noinform, use it!

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 29 Sep 2011 21:57:08 -0400

cl-launch (3.013-2) unstable; urgency=low

  * Bring it to the latest debian standards

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 29 Sep 2011 21:57:08 -0400
