## cl-launch 3.018

=== Makefile ===
--- 
+++ 
@@ -59,8 +59,11 @@
 	-rm -rf debian/cl-launch .pc/ build-stamp debian/patches/ debian/debhelper.log # debian crap
 
 debian-package: mrproper
+	git clean -xfd
 	RELEASE="$$(git tag -l '3.0[0-9][0-9]' | tail -n 1)" ; \
 	git-buildpackage --git-debian-branch=master --git-upstream-branch=$$RELEASE --git-tag --git-retag
+	lintian -c --fail-on-warnings ../cl-launch_*.changes
+	git clean -xfd
 
 # This fits my own system. YMMV. Try make install for a more traditional install
 reinstall:
@@ -87,3 +90,19 @@
 	git push --tags origin master
 	git fetch
 	git status
+
+debian-package-all: debian-package
+	./cl-launch.sh --include . -B install_path
+	./cl-launch.sh --no-include -o cl-launch -B install_bin
+	VER=$$(git describe --tags --match '?.???') ; \
+	cd .. && \
+	  tar zcf ~/files/cl-launch/cl-launch-$${VER}.tar.gz --exclude .git cl-launch && \
+	  cp cl-launch/cl-launch.sh ~/files/cl-launch/cl-launch.sh && \
+	  mv cl-launch_$${VER}* ~/files/cl-launch/ && \
+	cd ~/files/cl-launch && \
+	  ln -sf cl-launch-$${VER}.tar.gz cl-launch.tar.gz && \
+	  gpg -b -a cl-launch-$${VER}.tar.gz && \
+	  ln -sf cl-launch-$${VER}.tar.gz cl-launch.tar.gz && \
+	  ln -sf cl-launch-$${VER}.tar.gz.asc cl-launch.tar.gz.asc && \
+	  dput mentors cl-launch_$${VER}-1_amd64.changes
+	rsync -av --delete ~/files/cl-launch/ common-lisp.net:/project/xcvb/public_html/cl-launch/
