=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: cl-launch
 Section: lisp
 Priority: optional
+Homepage: http://www.cliki.net/cl-launch
 Maintainer: Francois-Rene Rideau <fare@tunes.org>
-Uploaders: Milan Zamazal <pdm@debian.org>, Peter Van Eynde <pvaneynd@debian.org>
+Uploaders: Christoph Egger <christoph@debian.org>, Kan-Ru Chen <koster@debian.org>, Milan Zamazal <pdm@debian.org>, Peter Van Eynde <pvaneynd@debian.org>
 Build-Depends: debhelper (>= 7.2.8)
 Build-Depends-Indep: dh-lisp
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 
 Package: cl-launch
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: cl-asdf (>= 2:2.005)
+Suggests: cl-asdf (>= 2:2.015)
 Recommends: common-lisp-controller (>= 7.3), sbcl (>= 1:1.0.40)
-Breaks: cl-asdf (<< 2:2.000), common-lisp-controller (<= 7.2)
+Breaks: cl-asdf (<< 2:2.015), common-lisp-controller (<= 7.2)
 Description: uniform frontend to running Common Lisp code from the shell
  CL-Launch will allow you to invoke Common Lisp source code from the shell
  command line or from a shell script. It will also allow you to turn your
@@ -26,7 +27,7 @@
         Allegro, CLISP, ClozureCL, CMUCL, ECL, GCL 2.7, SBCL, SCL.
  Of these, SBCL, ECL and CLISP support creating standalone executables.
  Partially supported implementations are:
-        LispWorks Professional, ABCL, GCL 2.6.
+        LispWorks Professional, ABCL, GCL 2.6, XCL.
  .
  CL-Launch also offers Common Lisp programs a simple uniform interface to
  invocation parameters (command-line arguments and environment variables).
