## cl-launch 3.22

=== Makefile ===
--- 
+++ 
@@ -60,8 +60,8 @@
 
 debian-package: mrproper
 	git clean -xfd
-	RELEASE="$$(git tag -l '3.0[0-9][0-9]' | tail -n 1)" ; \
-	git-buildpackage --git-debian-branch=master --git-upstream-branch=$$RELEASE --git-tag --git-retag
+	RELEASE="$$(git tag -l '3.[0-9][0-9]' | tail -n 1)" ; \
+	git-buildpackage --git-debian-branch=master --git-upstream-branch=master --git-upstream-tag=$$RELEASE --git-tag --git-retag --git-ignore-branch
 	lintian -c --fail-on-warnings ../cl-launch_*.changes
 	git clean -xfd
 
@@ -71,7 +71,7 @@
 
 # This might fit your system, installing from same directory
 reinstall_here:
-	make install_source INSTALL_SOURCE=$$PWD
+	make install_source install_binary_standalone INSTALL_SOURCE=$$PWD INSTALL_BIN=$$PWD
 
 test:
 	./cl-launch.sh -l "${LISPS}" -B tests
@@ -106,3 +106,9 @@
 	  ln -sf cl-launch-$${VER}.tar.gz.asc cl-launch.tar.gz.asc && \
 	  dput mentors cl-launch_$${VER}-1_amd64.changes
 	rsync -av --delete ~/files/cl-launch/ common-lisp.net:/project/xcvb/public_html/cl-launch/
+
+quickrelease: reinstall_here
+	VER=`./cl-launch.sh --version | ( read a b ; echo $$b )` ; \
+	cd .. && \
+	tar zcf cl-launch-$${VER}.tar.gz --exclude .git cl-launch && \
+	rsync -av cl-launch/cl-launch.sh cl-launch-$${VER}.tar.gz common-lisp.net:/project/xcvb/cl-launch/
