## cl-launch 3.22.1

=== Makefile ===
--- 
+++ 
@@ -111,4 +111,5 @@
 	VER=`./cl-launch.sh --version | ( read a b ; echo $$b )` ; \
 	cd .. && \
 	tar zcf cl-launch-$${VER}.tar.gz --exclude .git cl-launch && \
-	rsync -av cl-launch/cl-launch.sh cl-launch-$${VER}.tar.gz common-lisp.net:/project/xcvb/cl-launch/
+	rsync -av cl-launch/cl-launch.sh cl-launch-$${VER}.tar.gz common-lisp.net:/project/xcvb/public_html/cl-launch/ && \
+	ssh common-lisp.net ln -sf cl-launch-$${VER}.tar.gz /project/xcvb/public_html/cl-launch/cl-launch.tar.gz
