=== debian/changelog ===
cl-launch (3.22.1-1) unstable; urgency=low

  * Tweak to hush ASDF upgrade. Minor edit of documentation.

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 16 May 2013 01:22:49 -0400

cl-launch (3.22-1) unstable; urgency=low

  * Release of cl-launch to match ASDF 3.0.0

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 16 May 2013 01:22:49 -0400

cl-launch (3.019-1) unstable; urgency=low

  * Use TMPDIR, not TMP.
  * Ensure directories from getenv or not read as file pathnames.
  * Preliminary support for MKCL

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 15 Oct 2012 19:49:12 -0400
