=== debian/changelog ===
cl-launch (4.0.4-1) unstable; urgency=low

  * Try even harder to load ASDF.
  * Update documentation, version numbers, etc. Improve release.

 -- Francois-Rene Rideau <fare@tunes.org>  Sat, 26 Apr 2014 12:36:51 -0400

cl-launch (4.0.3-1) unstable; urgency=low

  * ~/common-lisp/ not ~/cl/ is where ASDF 3.1 standardizes
    the location of per-user CL software.

 -- Francois-Rene Rideau <fare@tunes.org>  Sun, 23 Mar 2014 18:13:21 -0400

cl-launch (4.0.2.2-1) unstable; urgency=low

  * Package control via --package and --system-package
  * --entry is now a variant of --restart, not of --init.
  * Fixes for ECL, LispWorks.
  * Tests moved aside, which reduces script size by over 10%.
  * ARGV0 support, in conjunction with ASDF 3.1.0.87.
  * Documentation updated, as well as TODO file.

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 03 Mar 2014 22:03:38 -0500

cl-launch (4.0.1.1-3) unstable; urgency=low

  * Speed up startup time by not upgrading ASDF unless needed.
  * Fix 4.0.0 bugs: support old implementations with older ASDF;
    unbreak working from cl-launch dumped image.
  * Add alias -E for --entry.
  * Eat our own dogfood with a CL release script.

 -- Francois-Rene Rideau <fare@tunes.org>  Fri, 28 Feb 2014 18:28:26 -0500

cl-launch (4.0.0-1) unstable; urgency=low

  * Build with --eval --require --file --system in order of appearance.
    No more limitation to one optional file, one optional system.
    Note that --eval is before dump, --init is after dump.
  * Unix interpreter style invocation: /usr/bin/cl script arguments...
  * Require ASDF3 and its UIOP. No more headbanging with ASDF2.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 27 Feb 2014 16:49:30 -0500
