=== debian/changelog ===
cl-launch (4.1-2) unstable; urgency=low

  * Convert help to markdown, extract man page from it.
  * Fix support for :require dependencies

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 19 Aug 2014 22:45:10 -0400

cl-launch (4.0.8-1) unstable; urgency=low

  * Improve --load dependencies so they depend on previously loaded systems.
    This generalizes to all platforms the technique so far used only by ECL.
  * Integrate prototypical examples in the head of the manual.
  * Fix various bugs in some cases when dumping images.
  * Various small tweaks.

 -- Francois-Rene Rideau <fare@tunes.org>  Fri, 01 Aug 2014 22:06:37 -0400

cl-launch (4.0.7-1) unstable; urgency=low

  * Give Quicklisp a chance to download dependencies:
    use ql:quickload instead of asdf:load-system.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 24 Jul 2014 15:42:02 -0400

cl-launch (4.0.6-1) unstable; urgency=low

  * Separate --load and --file; fix --file - feature.

 -- Francois-Rene Rideau <fare@tunes.org>  Sat, 14 Jun 2014 03:25:27 -0400

cl-launch (4.0.5-1) unstable; urgency=low

  * Fix issues when dumping image on ECL: handle --eval correctly,
    avoid a costly initialization of source-registry when unnecessary.

 -- Francois-Rene Rideau <fare@tunes.org>  Fri, 13 Jun 2014 13:32:46 -0400
