## cl-launch 4.1.4

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,9 @@
 	@echo "Installing Lisp source code for cl-launch in ${INSTALL_SOURCE}"
 	@mkdir -p ${INSTALL_SOURCE}/
 	@${CL_LAUNCH} --include ${INSTALL_SOURCE} -B install_path > /dev/null
+	@if [ ! $${PWD} = ${INSTALL_SOURCE} ] ; then \
+		@cp dispatch.lisp ${INSTALL_SOURCE}/ ; \
+	fi
 
 install_system: install_source
 	@echo "Linking .asd file for cl-launch into ${INSTALL_SYSTEMS}/"
@@ -66,7 +69,7 @@
 
 mrproper: clean
 
-debian-package: mrproper
+debian-package: source
 	./release.lisp debian-package
 
 # This fits my own system. YMMV. Try make install for a more traditional install
@@ -96,7 +99,7 @@
 	git fetch
 	git status
 
-debian-package-all:
+debian-package-all: source
 	./release.lisp debian-package-all
 
 quickrelease: reinstall_here
