=== debian/changelog ===
cl-launch (4.1.4-1) unstable; urgency=low

  * Don't forget to install dispatch.lisp as source!
  * Minor tweaks for dispatch.lisp.
  * Minor documentation update.
  * Update LispWorks support for LW 7.0.0
  * Remove support for ASDF < 3.1.2

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 21 Jul 2015 23:31:13 -0400

cl-launch (4.1.3-1) unstable; urgency=low

  * New options --system-main and --dispatch-system
  * updated manual and release script

 -- Francois-Rene Rideau <fare@tunes.org>  Wed, 22 Apr 2015 15:01:28 -0400

cl-launch (4.1.2-2) unstable; urgency=low

  * Multiple entry binaries with --dispatched-entry,
    mostly compatible with Xach's buildapp.

 -- Francois-Rene Rideau <fare@tunes.org>  Wed, 01 Apr 2015 01:09:11 -0400

cl-launch (4.1.1-1) unstable; urgency=low

  * Portability: better fallbacks for implementations without a recent ASDF,
    better support for ecl_bytecodes, make cl-shim work on BSD.

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 02 Mar 2015 17:58:34 -0500
