=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,8 @@
 	dh_clean
 	dh_installdirs -p ${debpkg} $(include_dir) $(doc-dir)
 	dh_install -i cl-launch usr/bin
-	dh_install -i launcher.lisp wrapper.sh cl-launch.asd build.xcvb ${include_dir}
+	dh_install -i launcher.lisp wrapper.sh cl-launch.asd build.xcvb \
+		dispatch.lisp ${include_dir}
 	dh_installman -i debian/*.1
