=== debian/changelog ===
cl-launch (4.1.4.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream version
  * Seems all maintainers+uploaders are inactive, thus orphaning the package
    Closes: #928583
  * Set Vcs fields to Common Lisp Team on Salsa
  * d/watch:
     - Secure URI
     - Version=5
  * d/copyright: Secure URIs
  * d/rules: short dh
  * debhelper-compat 13 (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entries 3.22.1-1, 3.22-1, 2.36-1, and others
  * Remove Suggests: cl-asdf  since its also in Recommends
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Andreas Tille <tille@debian.org>  Tue, 23 Dec 2025 15:13:10 +0100

cl-launch (4.1.4-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 15:18:13 +0100
