=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: cl-launch
+Standards-Version: 4.7.3
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: lisp
-Priority: optional
-Homepage: http://www.cliki.net/cl-launch
-Maintainer: Francois-Rene Rideau <fare@tunes.org>
-Uploaders: Christoph Egger <christoph@debian.org>, Kan-Ru Chen <koster@debian.org>, Milan Zamazal <pdm@debian.org>, Peter Van Eynde <pvaneynd@debian.org>, Julien Danjou <acid@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6.1
-Vcs-Git: https://gitlab.common-lisp.net/xcvb/cl-launch.git
+Build-Depends:
+ debhelper-compat (= 13),
+ sbcl <!nocheck>,
+ cl-asdf <!nocheck>,
+Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-launch
+Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-launch.git
+Homepage: https://www.cliki.net/cl-launch
 
 Package: cl-launch
 Architecture: all
-Depends: ${misc:Depends}
-Suggests: cl-asdf (>= 2:3.1.4)
-Recommends: sbcl (>= 1:1.2.3), cl-asdf (>= 2:3.1.2)
-Breaks: cl-asdf (<= 2:3.1.1), common-lisp-controller (<= 7.3)
+Depends:
+ ${misc:Depends},
+Recommends:
+ sbcl,
+ cl-asdf,
+Breaks:
+ common-lisp-controller (<= 7.3),
 Description: uniform frontend to running Common Lisp code from the shell
  CL-Launch will allow you to invoke Common Lisp source code from the shell
  command line, from a shell script or as a Common Lisp script. It will also
@@ -38,4 +43,3 @@
  space). It can also be used as a quick way to evaluate and print simple Lisp
  forms or scripts from the command-line without invoking a full-fledged REPL,
  and to easily compare results between implementations.
- .
