=== debian/rules ===
#!/usr/bin/make -f

pkg		:= cl-launch
debpkg		:= cl-launch

DESTDIR         := debian/$(debpkg)
clc-source      := usr/share/common-lisp/source
clc-systems     := usr/share/common-lisp/systems
include_dir	:= $(clc-source)/$(pkg)
doc-dir         := usr/share/doc/$(debpkg)


%:
	dh $@

override_dh_auto_clean:
	echo "Upstream clean target is just cleaning up git repository"

override_dh_auto_configure:
	sh ./cl-launch.sh \
		--include /${include_dir} \
		--lisp "sbcl ccl clisp abcl cmucl ecl mkcl allegro lispworks scl gcl xcl" \
		--rc \
		-B generate_install_files

#override_dh_auto_test:
#	echo "Skipping tests"

override_dh_auto_install:
	dh_installdirs -p ${debpkg} $(include_dir) $(doc-dir)
	dh_install -i launcher.lisp wrapper.sh cl-launch.asd build.xcvb \
		dispatch.lisp ${include_dir}
