=== debian/watch ===
Version: 5

Source: https://common-lisp.net/project/xcvb/@PACKAGE@
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
